<?php
include('functions.php');

// get default values
$message = "";
$firstname = filter_input(INPUT_POST,'first_name');
$lastname = filter_input(INPUT_POST,'last_name');
$coffee_hot = filter_input(INPUT_POST,'coffee_hot');
$coffee_size = filter_input(INPUT_POST,'coffee_size');
$coffee_type = filter_input(INPUT_POST,'coffee_type');
$comments = filter_input(INPUT_POST,'comments');   
$coffee_soy = 'N';
$coffee_no_whip = 'N';
$coffee_cream = 'N';
$coffee_sugar = 'N';

//create cookies if none exist
if (!isset($_COOKIE['firstname']) && !isset($_COOKIE['lastname']))
{
setcookie('firstname','',0,'/');
setcookie('lastname','',0,'/');
setcookie('hot','',0,'/');
setcookie('size','',0,'/');
setcookie('type','',0,'/');
setcookie('no_whip','',0,'/');
setcookie('cream','',0,'/');
setcookie('sugar','',0,'/');
setcookie('comments','',0,'/');
}


// if the button was clicked
if (isset($_POST['GOBUTTON'])){
   
    // get the check boxes
    if (isset($_POST['coffee_soy']))   
        {$coffee_soy = 'Y';}
    if (isset($_POST['coffee_no_whip']))   
        {$coffee_no_whip = 'Y';}
    if (isset($_POST['coffee_cream']))   
        {$coffee_cream = 'Y';}
    if (isset($_POST['coffee_sugar']))   
        {$coffee_sugar = 'Y';}
    
    // if any one of the required fields is missing... 
    if (empty($firstname) || empty($lastname) || empty($coffee_hot) || 
            empty($coffee_type)|| empty($coffee_size) ){
        $message = "One or more required fields are missing.";
    } else if ($firstname == $_COOKIE['firstname'] && $lastname == $_COOKIE['lastname'] 
            && $coffee_hot == $_COOKIE['hot'] && $coffee_type == $_COOKIE['type'] 
            && $coffee_size == $_COOKIE['size'] && $coffee_no_whip == $_COOKIE['no_whip']
            && $coffee_cream == $_COOKIE['cream'] && $coffee_sugar == $_COOKIE['sugar'] 
            && $comments == $_COOKIE['comments'] 
            ) {
        $message = "Duplicate order.  Please make a NEW order.";
    } else {
        include 'database.php';
        $statement = $db->prepare("INSERT INTO `coffeeorders`(`firstname`, `lastname`, `coffee_hot`, "
                . "`coffee_size`, `coffee_type`, `soy`, `no_whip`, `cream`, `sugar`, `comments`) VALUES "
                . "(:firstname,:lastname,:hot,:size,:type,"
                . ":soy,:no_whip,:cream,:sugar,:comments)");
        $statement->bindValue(':firstname',$firstname);
        $statement->bindValue(':lastname',$lastname);
        $statement->bindValue(':hot',$coffee_hot);
        $statement->bindValue(':size',$coffee_size);
        $statement->bindValue(':type',$coffee_type);
        $statement->bindValue(':soy',$coffee_soy);
        $statement->bindValue(':no_whip',$coffee_no_whip);
        $statement->bindValue(':cream',$coffee_cream);
        $statement->bindValue(':sugar',$coffee_sugar);
        $statement->bindValue(':comments',$comments);
        $success = $statement->execute();
        
        // save the last order in cookies
        setcookie('firstname',$firstname,0,'/');
        setcookie('lastname',$lastname,0,'/');
        setcookie('hot',$coffee_hot,0,'/');
        setcookie('size',$coffee_size,0,'/');
        setcookie('type',$coffee_type,0,'/');
        setcookie('no_whip',$coffee_no_whip,0,'/');
        setcookie('cream',$coffee_cream,0,'/');
        setcookie('sugar',$coffee_sugar,0,'/');
        setcookie('comments',$comments,0,'/');
        
        
        if ($success)
            {
            // direct the user over to the thank you page.
            header('Location: thanks.php');
            exit();
            }
        else 
            {
            $message = "An unexpected error has occurred.";
            }
    } 
}

?>
<!DOCTYPE html>
<html>
<head>
    <title>Yougetta Coffee</title>
    <link rel="stylesheet" type="text/css" href="main.css"/>
</head>

<body>
    <main>
    
    <h1>Yougetta Coffee
        <img alt="Coffee Cup" src="coffee.png" height="50" width="50">
    </h1>
    
    <form action="index.php" method="post">
    <fieldset>
    <legend>Your Name</legend>
    <label>* First name</label>
    <input type="text" name="first_name" value="<?php echo $firstname; ?>">
        <br>
    <label>* Last name</label>
        <input type="text" name="last_name" value="<?php echo $lastname; ?>">       
    </fieldset>
        
    <fieldset>
    <legend>Your order</legend>

        <p>* Hot or cold?</p>
        <input type="radio" name="coffee_hot" value="Hot" <?php echo checkme($coffee_hot,"Hot"); ?>>
        Hot<br>
        <input type="radio" name="coffee_hot" value="Iced" <?php echo checkme($coffee_hot,"Iced"); ?>>
        Iced<br>
        
        <p>* Size?</p>
        <input type="radio" name="coffee_size" value="Poco" <?php echo checkme($coffee_size,"Poco"); ?>>
        Poco<br>
        <input type="radio" name="coffee_size" value="Mediano" <?php echo checkme($coffee_size,"Mediano"); ?>>
        Mediano<br>
        <input type="radio" name="coffee_size" value="Enorme" <?php echo checkme($coffee_size,"Enorme"); ?>>
        Enorme<br>

        <p>* Type?</p>
        <input type="radio" name="coffee_type" value="Espresso" <?php echo checkme($coffee_type,"Espresso"); ?>>
        Espresso<br>
        <input type="radio" name="coffee_type" value="Macchiato" <?php echo checkme($coffee_type,"Macchiato"); ?>>
        Macchiato<br>
        <input type="radio" name="coffee_type" value="Latte" <?php echo checkme($coffee_type,"Latte"); ?>>
        Latte<br>
        <input type="radio" name="coffee_type" value="Regular" <?php echo checkme($coffee_type,"Regular"); ?>>
        Regular<br>
        
        <p>Options?</p>
        <input type="checkbox" name="coffee_soy" <?php echo checkme($coffee_soy,"Y"); ?>>Soy<br>
        <input type="checkbox" name="coffee_no_whip" <?php echo checkme($coffee_no_whip,"Y"); ?>>No Whipped Cream        <br>
        <input type="checkbox" name="coffee_cream" <?php echo checkme($coffee_cream,"Y"); ?>>Cream<br>
        <input type="checkbox" name="coffee_sugar" <?php echo checkme($coffee_sugar,"Y"); ?>>Sugar<br>


        <p>Special requests?</p>
        <textarea name="comments" rows="4" cols="50"><?php echo htmlspecialchars($comments);?></textarea>
    </fieldset>
        
    <div id="buttons">
    <input type="submit" value="Submit" name="GOBUTTON">
    <br>
    </div>
        
    <p class="error"><?php echo $message;?></p>
    <a href='login.php'>Employee login</a>
    </form>
    </main>
    
</body>
</html>